WindowsService
Retrieve Windows Service Custom
Path parameters
idinteger · int32Required
The ID of the optimization setting to retrieve the windows service custom list.
Responses
200
Success
application/json; api-version=1.0
Image optimization windows services
typestring · enumOptionalPossible values:
Details Type
serviceNamestring · nullableOptional
Windows Services Name
displayNamestring · nullableOptional
Windows Services Display Name
aliasesstring · nullableOptional
Windows Service Aliases
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
get/api/RDS/Template/{id}/Optimization/WindowsService
GET /api/RDS/Template/{id}/Optimization/WindowsService HTTP/1.1
Accept: */*
[
{
"type": [
"0 = Predefined",
"1 = Custom"
],
"serviceName": "text",
"displayName": "text",
"aliases": "text"
}
]Adds a Windows Service Custom to optimization.
Path parameters
idinteger · int32Required
The ID of the Optimization settings to add the windows services custom.
Body
aliasesstring · max: 255 · nullableOptional
Windows Services Alias
displayNamestring · max: 255 · nullableOptional
Windows Services Diplay Name
serviceNamestring · max: 255 · nullableOptional
Windows Service Name
Responses
201
Created
No content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
409
Conflict
application/json; api-version=1.0
post/api/RDS/Template/{id}/Optimization/WindowsService
POST /api/RDS/Template/{id}/Optimization/WindowsService HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 60
{
"aliases": "text",
"displayName": "text",
"serviceName": "text"
}No content
Removes Windows Service Custom From Optimization.
Path parameters
idinteger · int32Required
The ID of the optimization setting to remove the windows Service custom.
Body
serviceNamestring · max: 255 · nullableOptional
Windows Service Name
Responses
204
No Content
No content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
delete/api/RDS/Template/{id}/Optimization/WindowsService
DELETE /api/RDS/Template/{id}/Optimization/WindowsService HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 22
{
"serviceName": "text"
}No content